%define name Chinput
%define ver 3.0.1
%define release 5mdk

Summary: A X Input Method Server for Chinese
Name: %{name}
Version: %{ver}
Release: %{release}
BuildRoot: %{_tmppath}/%{name}-buildroot

License: GPL
Group: System/Internationalization
Requires: locales-zh
Source: http://go8.163.com/~yumingjian/download/Chinput-3.0.1.tar.bz2
Source1: Chinput.ad
Patch0: Chinput-3.0.1-makefile.patch.bz2
Patch1: Chinput-cce.patch.bz2
BuildRequires: imlib-devel pth-devel unicon-devel XFree86-devel
Prefix: %{_prefix}
Buildroot: %_tmppath/%name-%version-%release-root

%description

Chinput is an X Input Method allowing to type in chinese in X applications that
follow the XIM input method standard.

%prep
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
#mkdir -p $RPM_BUILD_ROOT/lib
#mkdir -p $RPM_BUILD_ROOT/usr/dict/gb
#mkdir -p $RPM_BUILD_ROOT/usr/bin
#mkdir -p $RPM_BUILD_ROOT/usr/lib
#mkdir -p $RPM_BUILD_ROOT/usr/lib/ZWinPro

%setup -q
%patch0 -p1 -b .mdk
%patch1 -p1 -b .usrphrase
perl -pi -e "s/\/usr\/lib\/ZWinPro\/Chinput.ad/\/etc\/Chinput.ad/g" src/init.c

%build
make

%install

make install prefix=$RPM_BUILD_ROOT/usr

# X11R6 not include GBK locales yet
#install -m644 resource/Chinput.ad $RPM_BUILD_ROOT/etc
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/etc

#strip src/chinput
#install -m755 src/chinput $RPM_BUILD_ROOT/usr/bin
#install -m755 handwriting/kpengine $RPM_BUILD_ROOT/usr/bin
#install -m644 handwriting/hzgb.dat $RPM_BUILD_ROOT/usr/lib/ZWinPro
#install -m644 handwriting/hzbig5.dat $RPM_BUILD_ROOT/usr/lib/ZWinPro
#install -m644 resource/* $RPM_BUILD_ROOT/usr/lib/ZWinPro

#install -m644 %SOURCE2 $RPM_BUILD_ROOT/etc

# install menu
#install -d %buildroot/%_menudir
#install -m644 %SOURCE2 %buildroot/%_menudir/%name
# install icon
install -d %buildroot/%_iconsdir
install -m644 src/icons/chinput.xpm %buildroot/%_iconsdir

%post
%update_menus
#(cd /usr/lib; ln -sf libstdc++-3-libc6.2-2-2.10.0.so libstdc++-libc6.1-2.so.3)
if [ -r /usr/X11R6/bin/rxvt ]; then
    if [ -f /usr/X11R6/bin/rxvt ]; then
            perl -pi -e "s/xcin-zh_CN.GB2312/Chinput/g" /usr/X11R6/bin/rxvt
    fi
fi

%postun
%clean_menus


%clean

rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc doc/*
%config(noreplace) %_sysconfdir/Chinput.ad
/usr/bin/chinput
/usr/bin/kpengine
/usr/lib/ZWinPro
%_iconsdir/*.xpm

%changelog
* Sun Aug 26 2001 Jesse Kuang <kjx@mandrakesoft.com> 3.0.1-5mdk
- X11R6 not include GBK locale yet, change chinput.gblocale to zh-CN.GB2312
- fixes bug in script for %post

* Mon Jul 23 2001 Stefan van der Eijk <stefan@eijk.nu> 3.0.1-4mdk
- BuildRequires: imlib-devel pth-devel

* Fri Jul 20 2001 Jesse Kuang <kjx@mandrakesoft.com> 3.0.1-3mdk
- remove stdlibc++ symlink

* Sat Jun 30 2001 Jesse Kuang <kjx@mandrakesoft.com> 3.0.1-2mdk
- add userphrase saving,special thanks to luyou from
- change the makefile of the chinput so it can work
- with unicon-3.0.3-3mdk rpm, also change the Chinput.ad
- so it can work with mdk
- More work need to do is that install the Chinput.ad according
- to different platform

* Mon May  7 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 3.0.1-1mdk
- First version for Mandrake
